## GstVideoContentLightLevel

Content light level information specified in CEA-861.3, Appendix A.

### Members

`max_content_light_level` (guint16) –

the maximum content light level (abbreviated to MaxCLL) in candelas per square meter (cd/m^2 and nit)

`max_frame_average_light_level` (guint16) –

the maximum frame average light level (abbreviated to MaxFLL) in candelas per square meter (cd/m^2 and nit)

Since : 1.18

## GstVideo.VideoContentLightLevel

Content light level information specified in CEA-861.3, Appendix A.

### Members

`max_content_light_level` (Number) –

the maximum content light level (abbreviated to MaxCLL) in candelas per square meter (cd/m^2 and nit)

`max_frame_average_light_level` (Number) –

the maximum frame average light level (abbreviated to MaxFLL) in candelas per square meter (cd/m^2 and nit)

Since : 1.18

## GstVideo.VideoContentLightLevel

Content light level information specified in CEA-861.3, Appendix A.

### Members

`max_content_light_level` (int) –

the maximum content light level (abbreviated to MaxCLL) in candelas per square meter (cd/m^2 and nit)

`max_frame_average_light_level` (int) –

the maximum frame average light level (abbreviated to MaxFLL) in candelas per square meter (cd/m^2 and nit)

Since : 1.18

### Methods

#### gst_video_content_light_level_add_to_caps

    gboolean
    gst_video_content_light_level_add_to_caps (const GstVideoContentLightLevel * linfo,
                                               GstCaps * caps)

Parse caps and update linfo

Parameters:

`linfo` –

a GstVideoContentLightLevel

`caps` –

a GstCaps

Returns –

TRUE if linfo was successfully set to caps

Since : 1.18

#### GstVideo.VideoContentLightLevel.prototype.add_to_caps

    function GstVideo.VideoContentLightLevel.prototype.add_to_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_content_light_level_add_to_caps'
    }

Parse caps and update linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Number) –

true if linfo was successfully set to caps

Since : 1.18

#### GstVideo.VideoContentLightLevel.add_to_caps

    def GstVideo.VideoContentLightLevel.add_to_caps (self, caps):
        #python wrapper for 'gst_video_content_light_level_add_to_caps'

Parse caps and update linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`caps` (Gst.Caps) –

a Gst.Caps

Returns (bool) –

True if linfo was successfully set to caps

Since : 1.18

#### gst_video_content_light_level_from_caps

    gboolean
    gst_video_content_light_level_from_caps (GstVideoContentLightLevel * linfo,
                                             const GstCaps * caps)

Parse caps and update linfo

Parameters:

`linfo` –

a GstVideoContentLightLevel

`caps` –

a GstCaps

Returns –

if caps has GstVideoContentLightLevel and could be parsed

Since : 1.18

#### GstVideo.VideoContentLightLevel.prototype.from_caps

    function GstVideo.VideoContentLightLevel.prototype.from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_content_light_level_from_caps'
    }

Parse caps and update linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Number) –

if caps has GstVideo.VideoContentLightLevel and could be parsed

Since : 1.18

#### GstVideo.VideoContentLightLevel.from_caps

    def GstVideo.VideoContentLightLevel.from_caps (self, caps):
        #python wrapper for 'gst_video_content_light_level_from_caps'

Parse caps and update linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`caps` (Gst.Caps) –

a Gst.Caps

Returns (bool) –

if caps has GstVideo.VideoContentLightLevel and could be parsed

Since : 1.18

#### gst_video_content_light_level_from_string

    gboolean
    gst_video_content_light_level_from_string (GstVideoContentLightLevel * linfo,
                                               const gchar * level)

Parse the value of content-light-level caps field and update minfo with the parsed values.

Parameters:

`linfo` –

a GstVideoContentLightLevel

`level` –

a content-light-level string from caps

Returns –

TRUE if linfo points to valid GstVideoContentLightLevel.

Since : 1.18

#### GstVideo.VideoContentLightLevel.prototype.from_string

    function GstVideo.VideoContentLightLevel.prototype.from_string(level: String): {
        // javascript wrapper for 'gst_video_content_light_level_from_string'
    }

Parse the value of content-light-level caps field and update minfo with the parsed values.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`level` (String) –

a content-light-level string from caps

Returns (Number) –

true if linfo points to valid GstVideo.VideoContentLightLevel.

Since : 1.18

#### GstVideo.VideoContentLightLevel.from_string

    def GstVideo.VideoContentLightLevel.from_string (self, level):
        #python wrapper for 'gst_video_content_light_level_from_string'

Parse the value of content-light-level caps field and update minfo with the parsed values.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`level` (str) –

a content-light-level string from caps

Returns (bool) –

True if linfo points to valid GstVideo.VideoContentLightLevel.

Since : 1.18

#### gst_video_content_light_level_init

    gst_video_content_light_level_init (GstVideoContentLightLevel * linfo)

Initialize linfo

Parameters:

`linfo` –

a GstVideoContentLightLevel

Since : 1.18

#### GstVideo.VideoContentLightLevel.prototype.init

    function GstVideo.VideoContentLightLevel.prototype.init(): {
        // javascript wrapper for 'gst_video_content_light_level_init'
    }

Initialize linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Since : 1.18

#### GstVideo.VideoContentLightLevel.init

    def GstVideo.VideoContentLightLevel.init (self):
        #python wrapper for 'gst_video_content_light_level_init'

Initialize linfo

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Since : 1.18

#### gst_video_content_light_level_is_equal

    gboolean
    gst_video_content_light_level_is_equal (const GstVideoContentLightLevel * linfo,
                                            const GstVideoContentLightLevel * other)

Checks equality between linfo and other.

Parameters:

`linfo` –

a GstVideoContentLightLevel

`other` –

a GstVideoContentLightLevel

Returns –

TRUE if linfo and other are equal.

Since : 1.20

#### GstVideo.VideoContentLightLevel.prototype.is_equal

    function GstVideo.VideoContentLightLevel.prototype.is_equal(other: GstVideo.VideoContentLightLevel): {
        // javascript wrapper for 'gst_video_content_light_level_is_equal'
    }

Checks equality between linfo and other.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`other` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Returns (Number) –

true if linfo and other are equal.

Since : 1.20

#### GstVideo.VideoContentLightLevel.is_equal

    def GstVideo.VideoContentLightLevel.is_equal (self, other):
        #python wrapper for 'gst_video_content_light_level_is_equal'

Checks equality between linfo and other.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

`other` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Returns (bool) –

True if linfo and other are equal.

Since : 1.20

#### gst_video_content_light_level_to_string

    gchar *
    gst_video_content_light_level_to_string (const GstVideoContentLightLevel * linfo)

Convert linfo to its string representation.

Parameters:

`linfo` –

a GstVideoContentLightLevel

Returns ( [transfer: full]) –

a string representation of linfo.

Since : 1.18

#### GstVideo.VideoContentLightLevel.prototype.to_string

    function GstVideo.VideoContentLightLevel.prototype.to_string(): {
        // javascript wrapper for 'gst_video_content_light_level_to_string'
    }

Convert linfo to its string representation.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Returns (String) –

a string representation of linfo.

Since : 1.18

#### GstVideo.VideoContentLightLevel.to_string

    def GstVideo.VideoContentLightLevel.to_string (self):
        #python wrapper for 'gst_video_content_light_level_to_string'

Convert linfo to its string representation.

Parameters:

`linfo` (GstVideo.VideoContentLightLevel) –

a GstVideo.VideoContentLightLevel

Returns (str) –

a string representation of linfo.

Since : 1.18

## GstVideoMasteringDisplayInfo

Mastering display color volume information defined by SMPTE ST 2086 (a.k.a static HDR metadata).

### Members

`display_primaries` (GstVideoMasteringDisplayInfoCoordinates *) –

the xy coordinates of primaries in the CIE 1931 color space. the index 0 contains red, 1 is for green and 2 is for blue. each value is normalized to 50000 (meaning that in unit of 0.00002)

`white_point` (GstVideoMasteringDisplayInfoCoordinates) –

the xy coordinates of white point in the CIE 1931 color space. each value is normalized to 50000 (meaning that in unit of 0.00002)

`max_display_mastering_luminance` (guint32) –

the maximum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

`min_display_mastering_luminance` (guint32) –

the minimum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

Since : 1.18

## GstVideo.VideoMasteringDisplayInfo

Mastering display color volume information defined by SMPTE ST 2086 (a.k.a static HDR metadata).

### Members

`display_primaries` ([ GstVideo.VideoMasteringDisplayInfoCoordinates ]) –

the xy coordinates of primaries in the CIE 1931 color space. the index 0 contains red, 1 is for green and 2 is for blue. each value is normalized to 50000 (meaning that in unit of 0.00002)

`white_point` (GstVideo.VideoMasteringDisplayInfoCoordinates) –

the xy coordinates of white point in the CIE 1931 color space. each value is normalized to 50000 (meaning that in unit of 0.00002)

`max_display_mastering_luminance` (Number) –

the maximum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

`min_display_mastering_luminance` (Number) –

the minimum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

Since : 1.18

## GstVideo.VideoMasteringDisplayInfo

Mastering display color volume information defined by SMPTE ST 2086 (a.k.a static HDR metadata).

### Members

`display_primaries` ([ GstVideo.VideoMasteringDisplayInfoCoordinates ]) –

the xy coordinates of primaries in the CIE 1931 color space. the index 0 contains red, 1 is for green and 2 is for blue. each value is normalized to 50000 (meaning that in unit of 0.00002)

`white_point` (GstVideo.VideoMasteringDisplayInfoCoordinates) –

the xy coordinates of white point in the CIE 1931 color space. each value is normalized to 50000 (meaning that in unit of 0.00002)

`max_display_mastering_luminance` (int) –

the maximum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

`min_display_mastering_luminance` (int) –

the minimum value of display luminance in unit of 0.0001 candelas per square metre (cd/m^2 and nit)

Since : 1.18

### Methods

#### gst_video_mastering_display_info_add_to_caps

    gboolean
    gst_video_mastering_display_info_add_to_caps (const GstVideoMasteringDisplayInfo * minfo,
                                                  GstCaps * caps)

Set string representation of minfo to caps

Parameters:

`minfo` –

a GstVideoMasteringDisplayInfo

`caps` –

a GstCaps

Returns –

TRUE if minfo was successfully set to caps

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.prototype.add_to_caps

    function GstVideo.VideoMasteringDisplayInfo.prototype.add_to_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_mastering_display_info_add_to_caps'
    }

Set string representation of minfo to caps

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Number) –

true if minfo was successfully set to caps

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.add_to_caps

    def GstVideo.VideoMasteringDisplayInfo.add_to_caps (self, caps):
        #python wrapper for 'gst_video_mastering_display_info_add_to_caps'

Set string representation of minfo to caps

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`caps` (Gst.Caps) –

a Gst.Caps

Returns (bool) –

True if minfo was successfully set to caps

Since : 1.18

#### gst_video_mastering_display_info_from_caps

    gboolean
    gst_video_mastering_display_info_from_caps (GstVideoMasteringDisplayInfo * minfo,
                                                const GstCaps * caps)

Parse caps and update minfo

Parameters:

`minfo` –

a GstVideoMasteringDisplayInfo

`caps` –

a GstCaps

Returns –

TRUE if caps has GstVideoMasteringDisplayInfo and could be parsed

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.prototype.from_caps

    function GstVideo.VideoMasteringDisplayInfo.prototype.from_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_video_mastering_display_info_from_caps'
    }

Parse caps and update minfo

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`caps` (Gst.Caps) –

a Gst.Caps

Returns (Number) –

true if caps has GstVideo.VideoMasteringDisplayInfo and could be parsed

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.from_caps

    def GstVideo.VideoMasteringDisplayInfo.from_caps (self, caps):
        #python wrapper for 'gst_video_mastering_display_info_from_caps'

Parse caps and update minfo

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`caps` (Gst.Caps) –

a Gst.Caps

Returns (bool) –

True if caps has GstVideo.VideoMasteringDisplayInfo and could be parsed

Since : 1.18

#### gst_video_mastering_display_info_init

    gst_video_mastering_display_info_init (GstVideoMasteringDisplayInfo * minfo)

Initialize minfo

Parameters:

`minfo` –

a GstVideoMasteringDisplayInfo

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.prototype.init

    function GstVideo.VideoMasteringDisplayInfo.prototype.init(): {
        // javascript wrapper for 'gst_video_mastering_display_info_init'
    }

Initialize minfo

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.init

    def GstVideo.VideoMasteringDisplayInfo.init (self):
        #python wrapper for 'gst_video_mastering_display_info_init'

Initialize minfo

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Since : 1.18

#### gst_video_mastering_display_info_is_equal

    gboolean
    gst_video_mastering_display_info_is_equal (const GstVideoMasteringDisplayInfo * minfo,
                                               const GstVideoMasteringDisplayInfo * other)

Checks equality between minfo and other.

Parameters:

`minfo` –

a GstVideoMasteringDisplayInfo

`other` –

a GstVideoMasteringDisplayInfo

Returns –

TRUE if minfo and other are equal.

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.prototype.is_equal

    function GstVideo.VideoMasteringDisplayInfo.prototype.is_equal(other: GstVideo.VideoMasteringDisplayInfo): {
        // javascript wrapper for 'gst_video_mastering_display_info_is_equal'
    }

Checks equality between minfo and other.

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`other` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Returns (Number) –

true if minfo and other are equal.

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.is_equal

    def GstVideo.VideoMasteringDisplayInfo.is_equal (self, other):
        #python wrapper for 'gst_video_mastering_display_info_is_equal'

Checks equality between minfo and other.

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

`other` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Returns (bool) –

True if minfo and other are equal.

Since : 1.18

#### gst_video_mastering_display_info_to_string

    gchar *
    gst_video_mastering_display_info_to_string (const GstVideoMasteringDisplayInfo * minfo)

Convert minfo to its string representation

Parameters:

`minfo` –

a GstVideoMasteringDisplayInfo

Returns ( [transfer: full]) –

a string representation of minfo

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.prototype.to_string

    function GstVideo.VideoMasteringDisplayInfo.prototype.to_string(): {
        // javascript wrapper for 'gst_video_mastering_display_info_to_string'
    }

Convert minfo to its string representation

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Returns (String) –

a string representation of minfo

Since : 1.18

#### GstVideo.VideoMasteringDisplayInfo.to_string

    def GstVideo.VideoMasteringDisplayInfo.to_string (self):
        #python wrapper for 'gst_video_mastering_display_info_to_string'

Convert minfo to its string representation

Parameters:

`minfo` (GstVideo.VideoMasteringDisplayInfo) –

a GstVideo.VideoMasteringDisplayInfo

Returns (str) –

a string representation of minfo

Since : 1.18

### Functions

#### gst_video_mastering_display_info_from_string

    gboolean
    gst_video_mastering_display_info_from_string (GstVideoMasteringDisplayInfo * minfo,
                                                  const gchar * mastering)

Extract GstVideoMasteringDisplayInfo from mastering

Parameters:

`minfo` ( [out]) –

a GstVideoMasteringDisplayInfo

`mastering` –

a GstStructure representing GstVideoMasteringDisplayInfo

Returns –

TRUE if minfo was filled with mastering

Since : 1.18

#### GstVideo.prototype.video_mastering_display_info_from_string

    function GstVideo.prototype.video_mastering_display_info_from_string(mastering: String): {
        // javascript wrapper for 'gst_video_mastering_display_info_from_string'
    }

Extract GstVideo.VideoMasteringDisplayInfo from mastering

Parameters:

`mastering` (String) –

a Gst.Structure representing GstVideo.VideoMasteringDisplayInfo

Returns a tuple made of:

(Number ) –

true if minfo was filled with mastering

`minfo` (GstVideo.VideoMasteringDisplayInfo ) –

true if minfo was filled with mastering

Since : 1.18

#### GstVideo.video_mastering_display_info_from_string

    def GstVideo.video_mastering_display_info_from_string (mastering):
        #python wrapper for 'gst_video_mastering_display_info_from_string'

Extract GstVideo.VideoMasteringDisplayInfo from mastering

Parameters:

`mastering` (str) –

a Gst.Structure representing GstVideo.VideoMasteringDisplayInfo

Returns a tuple made of:

(bool ) –

True if minfo was filled with mastering

`minfo` (GstVideo.VideoMasteringDisplayInfo ) –

True if minfo was filled with mastering

Since : 1.18

## GstVideoMasteringDisplayInfoCoordinates

Used to represent display_primaries and white_point of GstVideoMasteringDisplayInfo struct. See GstVideoMasteringDisplayInfo

### Members

`x` (guint16) –

the x coordinate of CIE 1931 color space in unit of 0.00002.

`y` (guint16) –

the y coordinate of CIE 1931 color space in unit of 0.00002.

Since : 1.18

## GstVideo.VideoMasteringDisplayInfoCoordinates

Used to represent display_primaries and white_point of GstVideo.VideoMasteringDisplayInfo struct. See GstVideo.VideoMasteringDisplayInfo

### Members

`x` (Number) –

the x coordinate of CIE 1931 color space in unit of 0.00002.

`y` (Number) –

the y coordinate of CIE 1931 color space in unit of 0.00002.

Since : 1.18

## GstVideo.VideoMasteringDisplayInfoCoordinates

Used to represent display_primaries and white_point of GstVideo.VideoMasteringDisplayInfo struct. See GstVideo.VideoMasteringDisplayInfo

### Members

`x` (int) –

the x coordinate of CIE 1931 color space in unit of 0.00002.

`y` (int) –

the y coordinate of CIE 1931 color space in unit of 0.00002.

Since : 1.18

The results of the search are